Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaNamedNativeQuery

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaNamedQuery
          org.apache.cayenne.jpa.map.JpaNamedNativeQuery

All Implemented Interfaces:
  XMLSerializable

    public class JpaNamedNativeQuery

extends JpaNamedQuery

Field Summary
`protected String` | `resultClassName`
`protected String` | `resultSetMapping`

Fields inherited from class org.apache.cayenne.jpa.map.JpaNamedQuery
`hints, name, query`

Constructor Summary
`JpaNamedNativeQuery()`
`JpaNamedNativeQuery(javax.persistence.NamedNativeQuery annotation)`

Method Summary
`String` | `getResultClassName()`
`String` | `getResultSetMapping()`
`void` | `setResultClassName(String resultClassName)`
`void` | `setResultSetMapping(String resultSetMapping)`

Methods inherited from class org.apache.cayenne.jpa.map.JpaNamedQuery
`encodeAsXML, getHint, getHints, getName, getQuery, setName, setQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resultClassName

    protected String resultClassName

### resultSetMapping

    protected String resultSetMapping

Constructor Detail

### JpaNamedNativeQuery

    public JpaNamedNativeQuery()

### JpaNamedNativeQuery

    public JpaNamedNativeQuery(javax.persistence.NamedNativeQuery annotation)

Method Detail

### getResultSetMapping

    public String getResultSetMapping()

### setResultSetMapping

    public void setResultSetMapping(String resultSetMapping)

### getResultClassName

    public String getResultClassName()

### setResultClassName

    public void setResultClassName(String resultClassName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.